﻿.flex-grid-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    max-width: 800px;
    width: 100%;
}

.grid-element {
    padding: 20px;
    flex: 25.0%;
}

    .grid-element img {
        object-fit: contain;
        width: 100%;
        min-width: 150px;
        display: block;
    }

.header {
    width: 90%;
    max-width: 800px;
    min-width: 320px;
    margin: 17px auto 0px auto;
    position: relative;
}

.headerHr {
    margin-top: 30px;
}

.headerImg {
    max-height: 50px;
    margin-right: 20px;
    margin-top: -12px;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 4px;
    position: relative;
    z-index: 1;
}

.book-links {
    display: flex;
    align-items: center; /* vertically center h2 and links */
    flex-grow: 1; /* <-- allow this section to fill space */
}

    .book-links h2 {
        margin: 0 5px 0 20px;
        padding: 0 4px;
        background-color: white;
    }

.book-link {
    margin-right: 5px;
    padding: 0 5px 0 5px;
    background-color: white;
    text-decoration: none;
    font-weight: 200;
    color: #444444;
    font-size: 1.625em;
}

    .book-link:hover {
        color: orange;
    }

    .book-link.active {
        color: orange;
    }

/* ensure image stays right-aligned */
.header-content > a {
    flex-shrink: 0;
}

.page-title {
    margin-top: 15px;
    margin-bottom: 30px;
}



@media screen and (max-width: 768px) {
    .zoom {
    }

        .zoom:hover {
        }

    .header {
        margin: 5px auto 0px auto;
    }

    .headerHr {
        margin-top: 18px;
    }

    .book-links h2 {
        margin: 0 5px 0 10px;
    }

    .book-link {
        font-size: 0.9em;
        padding: 0 3px 0 3px;
    }

    .headerImg {
        max-height: 30px;
        margin-right: 10px;
        margin-top: -8px;
    }

    .page-title {
        margin-top: 7px;
        margin-bottom: 15px;
    }
}
